<?php

class Cado{
	var $Servidor;
	var $Usuario;
	var $Clave;
	var $BaseDatos;
	
	var $conexion;
	var $rsql;	
	
	function Cado(){
	
		
       
		
		
	}
	
	function conectar()
	{
	    
	     $this->Servidor = 'localhost'; 
		$this->Usuario = 'tec'; 
		$this->Clave = 'diosesmipasion';
		$this->BaseDatos ="tec_boticafernandez_db";
		
		
		$conexion=mysqli_connect($this->Servidor,$this->Usuario,$this->Clave);
		if(!$conexion)
		{
			echo"Error al Conectar a la Base de Datos.";      
			exit();
		}
		
		 $bdatos=mysqli_select_db($conexion,$this->BaseDatos);
		if(!$bdatos)
		{
			echo"Error al Seleccionar la Base de Datos.";      
			exit();
		}
 
 		mysqli_set_charset($conexion,"utf8");
		//mysqli_query ("SET NAMES 'utf8'");
		
		return $conexion;
	}
	
	function cerrar_conexion($conexion)
	{
		mysqli_close($conexion);
	}
	
	function ejecute_sql($sql)
	{
		$rsql=mysqli_query($this->conectar(),$sql);
		
		if(!$rsql)
		{
			echo 'MySQL Error: ' . mysqli_error();
			echo '<br><bt>';
			var_dump(debug_backtrace());
			exit;
		}
		return $rsql;
	}
	
	function obtener_resultados($resultado)
	{
		return mysqli_fetch_array($resultado, MYSQL_ASSOC);
	}
}
?>